Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.lib.conf
Class ProductDerivations

    java.lang.Object
      org.apache.openjpa.lib.conf.ProductDerivations

    public class ProductDerivations

extends Object

Utilities for running product derivations.

Author:
  Abe White, Pinaki Poddar

Constructor Summary
`ProductDerivations()`

Method Summary
`static void` | `afterSpecificationSet(Configuration conf)` Apply `ProductDerivation.afterSpecificationSet(org.apache.openjpa.lib.conf.Configuration)` callbacks to the the given instance.
`static void` | `beforeClose(Configuration conf)` Called as the first step of a Configuration's close() method.
`static void` | `beforeConfigurationConstruct(ConfigurationProvider cp)` Apply `ProductDerivation.beforeConfigurationConstruct(org.apache.openjpa.lib.conf.ConfigurationProvider)` callbacks to the the given instance.
`static void` | `beforeConfigurationLoad(Configuration conf)` Apply `ProductDerivation.beforeConfigurationLoad(org.apache.openjpa.lib.conf.Configuration)` callbacks to the the given instance.
`static String` | `getConfigurationKey(String partialKey, Map map)` Determine the full key name for `partialKey`, given the registered prefixes and the entries in `map`.
`static String[]` | `getConfigurationPrefixes()` Return the recognized prefixes for configuration properties.
`static List<String>` | `getFullyQualifiedAnchorsInPropertiesLocation(String propertiesLocation)` Return a List of all the fully-qualified anchors specified in `propertiesLocation`.
`static ProductDerivation[]` | `getProductDerivations()` Return all the product derivations registered in the current classloader
`static Set<String>` | `getSupportedQueryHints()`
`static ConfigurationProvider` | `load(File file, String anchor, ClassLoader loader)` Load given file, or return false if it is not a file this provider understands.
`static ConfigurationProvider` | `load(String resource, String anchor, ClassLoader loader)` Load the given given resource, or return false if it is not a resource this provider understands.
`static ConfigurationProvider` | `loadDefaults(ClassLoader loader)` Return a `ConfigurationProvider` that has parsed system defaults.
`static ConfigurationProvider` | `loadGlobals(ClassLoader loader)` Return a `ConfigurationProvider` that has parsed system globals.
`static void` | `main(String[] args)` Prints product derivation information.
`(package private) static void` | `setConfigurationPrefixes(String[] prefixes)` Set the configuration prefix array.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProductDerivations

    public ProductDerivations()

Method Detail

### getProductDerivations

    public static ProductDerivation[] getProductDerivations()

  Return all the product derivations registered in the current classloader

### getConfigurationPrefixes

    public static String[] getConfigurationPrefixes()

  Return the recognized prefixes for configuration properties.

### setConfigurationPrefixes

    static void setConfigurationPrefixes(String[] prefixes)

  Set the configuration prefix array. This is package-visible for testing purposes.

  Since:
    0.9.7

### getConfigurationKey

    public static String getConfigurationKey(String partialKey,
                                             Map map)

  Determine the full key name for `partialKey`, given the registered prefixes and the entries in `map`. This method computes the appropriate configuration prefix to use by looking through `map` for a key starting with any of the known configuration prefixes and ending with `partialKey` and, if a value is found, using the prefix of that key. Otherwise, it uses the first registered prefix. The given `partialKey` is first tested for containment in the given map without any prefix.

  Since:
    0.9.7

### beforeConfigurationConstruct

    public static void beforeConfigurationConstruct(ConfigurationProvider cp)

  Apply `ProductDerivation.beforeConfigurationConstruct(org.apache.openjpa.lib.conf.ConfigurationProvider)` callbacks to the the given instance. Exceptions other than fatal `BootstrapException` are swallowed.

### beforeConfigurationLoad

    public static void beforeConfigurationLoad(Configuration conf)

  Apply `ProductDerivation.beforeConfigurationLoad(org.apache.openjpa.lib.conf.Configuration)` callbacks to the the given instance. Exceptions other than fatal `BootstrapException` are swallowed.

### afterSpecificationSet

    public static void afterSpecificationSet(Configuration conf)

  Apply `ProductDerivation.afterSpecificationSet(org.apache.openjpa.lib.conf.Configuration)` callbacks to the the given instance. Exceptions other than fatal `BootstrapException` are swallowed.

### beforeClose

    public static void beforeClose(Configuration conf)

  Called as the first step of a Configuration's close() method. Exceptions are swallowed.

  Since:
    0.9.7

### load

    public static ConfigurationProvider load(String resource,
                                             String anchor,
                                             ClassLoader loader)

  Load the given given resource, or return false if it is not a resource this provider understands. The given class loader may be null.

  Parameters:
    `anchor` - optional named anchor within a multiple-configuration resource

### load

    public static ConfigurationProvider load(File file,
                                             String anchor,
                                             ClassLoader loader)

  Load given file, or return false if it is not a file this provider understands.

  Parameters:
    `anchor` - optional named anchor within a multiple-configuration file

### loadDefaults

    public static ConfigurationProvider loadDefaults(ClassLoader loader)

  Return a `ConfigurationProvider` that has parsed system defaults.

### loadGlobals

    public static ConfigurationProvider loadGlobals(ClassLoader loader)

  Return a `ConfigurationProvider` that has parsed system globals.

### getFullyQualifiedAnchorsInPropertiesLocation

    public static List<String> getFullyQualifiedAnchorsInPropertiesLocation(String propertiesLocation)

  Return a List of all the fully-qualified anchors specified in `propertiesLocation`. The return values must be used in conjunction with `propertiesLocation`. If there are no product derivations or if no product derivations could find anchors, this returns an empty list.

  Since:
    1.1.0

### getSupportedQueryHints

    public static Set<String> getSupportedQueryHints()

### main

    public static void main(String[] args)

  Prints product derivation information.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.